curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/badges \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/badges"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/badges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"name": "Example Badge",
"description": "Example description",
"imageUrl": "https://example.com/image.png",
"loyaltyConditions": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"type": "rule",
"description": "Example description",
"amount": 10,
"repeatCount": 5,
"requiredCount": 5,
"loyaltyRuleGroupId": "123e4567-e89b-12d3-a456-426614174333",
"association": [
{
"loyaltyRule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyBadge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyRuleGroup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyLeaderboardView": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"loyaltyCurrencyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"csvUrl": "https://example.com/csv",
"csvFiles": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"url": "https://example.com/file.csv",
"name": "file.csv",
"description": "Example description"
}
]
}
],
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"hideInUi": false,
"rewards": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"rewardType": "points",
"loyaltyCurrencyId": "123e4567-e89b-12d3-a456-426614174333",
"amount": 100,
"multiplier": 2.5,
"isRetroactive": false,
"loyaltyCurrencyIds": [
"123e4567-e89b-12d3-a456-426614174333"
]
}
],
"loyaltyBadgeUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"userId": "123e4567-e89b-12d3-a456-426614174222",
"websiteId": "123e4567-e89b-12d3-a456-426614174111",
"organizationId": "123e4567-e89b-12d3-a456-426614174222",
"status": "active",
"loyaltyBadgeId": "123e4567-e89b-12d3-a456-426614174333",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"hideInUi": false,
"progress": "<unknown>",
"dismissedInUi": false,
"user": {
"id": "123e4567-e89b-12d3-a456-426614174222",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678"
},
"completedAt": "2021-01-01T00:00:00.000Z"
}
],
"loyaltyRules": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"name": "Example Rule"
}
],
"dataJobs": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"status": "pending",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"message": "Data job is pending"
}
]
}
],
"hasNextPage": true
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Get badges (all or by id)
This endpoint allows you to fetch badge(s) data.
Authorizations
Query Parameters
UUID of the organization (optional, converted to lowercase)
"123e4567-e89b-12d3-a456-426614174222"
UUID of the website (optional, converted to lowercase)
"123e4567-e89b-12d3-a456-426614174111"
Array of badge IDs (converted to lowercase) to fetch
["123e4567-e89b-12d3-a456-426614174333"]
Wallet Address of the user, or array of wallet addresses.
"0x1234567890abcdef1234567890abcdef12345678"
UUID of the user, or array of UUID.
"123e4567-e89b-12d3-a456-426614174222"
UUID of the user group
"123e4567-e89b-12d3-a456-426614174222"
External identifier of the user group
"123e4567-e89b-12d3-a456-426614174222"
UUID of the badge to start after (converted to lowercase)
"123e4567-e89b-12d3-a456-426614174333"
Number of badges to fetch
1 <= x <= 100010
Include deleted badges in the response
false
Was this page helpful?